sc::HypercubeGMI Class Reference
Inheritance diagram for sc::HypercubeGMI:
[legend]
Collaboration diagram for sc::HypercubeGMI:
[legend]

## Public Member Functions

| HypercubeGMI (int nproc, int me, int root)
Public Member Functions inherited from sc::GlobalMsgIter
| GlobalMsgIter (int nproc, int me, int root=0)
void | backwards ()
void | forwards ()
void | next ()
int | done ()
int | n ()
int | sendto ()
int | send ()
int | recvfrom ()
int | recv ()
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions

int | fwdsendto ()
int | fwdsend ()
int | fwdrecvfrom ()
int | fwdrecv ()

## Additional Inherited Members

Protected Attributes inherited from sc::GlobalMsgIter
int | me_
int | nproc_
int | root_
int | i_
int | n_
int | fwd_

The documentation for this class was generated from the following file:

- hcube.h